<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_ProceedsFromSubsidyIncomeInvCF" xlink:label="ProceedsFromSubsidyIncomeInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_MajorComponentsOfOperatingExpensesTextBlock" xlink:label="MajorComponentsOfOperatingExpensesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_MachineryRentExpensesNOI" xlink:label="MachineryRentExpensesNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_RentOfLandAndBuidengsNOI" xlink:label="RentOfLandAndBuidengsNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_ClassBPreferredSharesTotalAmountOfDividendsDividendsOfSurplus" xlink:label="ClassBPreferredSharesTotalAmountOfDividendsDividendsOfSurplus" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_ClassBPreferredSharesDividendPerShareDividendsOfSurplus" xlink:label="ClassBPreferredSharesDividendPerShareDividendsOfSurplus" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_ClassBPreferredSharesSharesWithNoVotingRightsMember" xlink:label="ClassBPreferredSharesSharesWithNoVotingRightsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_TotalNumberOfIssuedSharesSummaryOfBusinessResultsAbstract" xlink:label="TotalNumberOfIssuedSharesSummaryOfBusinessResultsAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_PreferredStockClassBTotalNumberOfIssuedSharesSummaryOfBusinessResults" xlink:label="PreferredStockClassBTotalNumberOfIssuedSharesSummaryOfBusinessResults" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_DividendPaidPerShareSummaryOfBusinessResultsAbstract" xlink:label="DividendPaidPerShareSummaryOfBusinessResultsAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_PreferredStockClassBDividendPaidPerShareSummaryOfBusinessResults" xlink:label="PreferredStockClassBDividendPaidPerShareSummaryOfBusinessResults" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_PreferredStockClassBInterimDividendPaidPerShareSummaryOfBusinessResults" xlink:label="PreferredStockClassBInterimDividendPaidPerShareSummaryOfBusinessResults" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_TaoYuichiMember" xlink:label="TaoYuichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_ItoArataMember" xlink:label="ItoArataMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_MatsutaMasahikoMember" xlink:label="MatsutaMasahikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_TogashiHideoMember" xlink:label="TogashiHideoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_NishiboriSatoruMember" xlink:label="NishiboriSatoruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_OgawaShoichiMember" xlink:label="OgawaShoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_FukudaKyoichiMember" xlink:label="FukudaKyoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_HoriYutakaMember" xlink:label="HoriYutakaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_KonnoHiroshiMember" xlink:label="KonnoHiroshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_NunoiTomokoMember" xlink:label="NunoiTomokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_HiroseWataruMember" xlink:label="HiroseWataruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_KaiFumioMember" xlink:label="KaiFumioMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_MiyashitaNorioMember" xlink:label="MiyashitaNorioMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_ItoDaisukeMember" xlink:label="ItoDaisukeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_OnoyamaTadahikoMember" xlink:label="OnoyamaTadahikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_AsamiHidenoriMember" xlink:label="AsamiHidenoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_KudoHitoshiMember" xlink:label="KudoHitoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_KidoYuMember" xlink:label="KidoYuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_FixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficersAbstract" xlink:label="FixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficersAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_RemunerationForStockAcquisitionRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="RemunerationForStockAcquisitionRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_VariableRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:label="VariableRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentSecondLargestHoldingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentSecondLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_GovernanceTextBlock" xlink:label="GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_StrategyTextBlock" xlink:label="StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_RiskManagementTextBlock" xlink:label="RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_ReferenceToOtherInformationRiskManagement" xlink:label="ReferenceToOtherInformationRiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_MetricsAndTargetsTextBlock" xlink:label="MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_PurchaseOfTreasurySharesOfConsolidatedSubsidiaries" xlink:label="PurchaseOfTreasurySharesOfConsolidatedSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_NiinoMasahiroMember" xlink:label="NiinoMasahiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_AokiJunMember" xlink:label="AokiJunMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E23187-000_2023-03-31_01_2023-06-23.xsd#jpcrp030000-asr_E23187-000_HorikoshiTomonoriMember" xlink:label="HorikoshiTomonoriMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:label xlink:type="resource" xlink:label="label_CumulativeEffectsOfChangesInAccountingPolicies" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_CumulativeEffectsOfChangesInAccountingPolicies">Cumulative effects of changes in accounting policies</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="label_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalance" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_RestatedBalance">Restated balance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalance" xlink:to="label_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_IncomeTaxesPaidRefundOpeCF" xlink:label="IncomeTaxesPaidRefundOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_IncomeTaxesPaidRefundOpeCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/negativeLabel" id="label_IncomeTaxesPaidRefundOpeCF">Income taxes paid</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeTaxesPaidRefundOpeCF" xlink:to="label_IncomeTaxesPaidRefundOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfTreasurySharesOfConsolidatedSubsidiaries" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurchaseOfTreasurySharesOfConsolidatedSubsidiaries">Purchase of treasury shares of consolidated subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfTreasurySharesOfConsolidatedSubsidiaries" xlink:to="label_PurchaseOfTreasurySharesOfConsolidatedSubsidiaries" />
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfTreasurySharesOfConsolidatedSubsidiaries_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurchaseOfTreasurySharesOfConsolidatedSubsidiaries_2">Purchase of treasury shares of consolidated subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfTreasurySharesOfConsolidatedSubsidiaries" xlink:to="label_PurchaseOfTreasurySharesOfConsolidatedSubsidiaries_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading">Disclosure of Sustainability-related Financial Information [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock">Disclosure of Sustainability-related Financial Information [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceTextBlock_2">Governance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceTextBlock">Governance [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyTextBlock_2">Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyTextBlock">Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2">Policy on human resource development and improvement of internal environment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock">Policy on human resource development and improvement of internal environment, Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementTextBlock_2">Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementTextBlock">Risk management [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationRiskManagement_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationRiskManagement">Reference to other information, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsTextBlock_2">Metrics and targets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsTextBlock">Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics, Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MajorComponentsOfOperatingExpensesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MajorComponentsOfOperatingExpensesTextBlock">Major components of operating expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MajorComponentsOfOperatingExpensesTextBlock" xlink:to="label_MajorComponentsOfOperatingExpensesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MajorComponentsOfOperatingExpensesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MajorComponentsOfOperatingExpensesTextBlock_2">Major components of operating expenses [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MajorComponentsOfOperatingExpensesTextBlock" xlink:to="label_MajorComponentsOfOperatingExpensesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromSubsidyIncomeInvCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProceedsFromSubsidyIncomeInvCF">Proceeds from subsidy income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSubsidyIncomeInvCF" xlink:to="label_ProceedsFromSubsidyIncomeInvCF" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromSubsidyIncomeInvCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProceedsFromSubsidyIncomeInvCF_2">Proceeds from subsidy income-InvCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSubsidyIncomeInvCF" xlink:to="label_ProceedsFromSubsidyIncomeInvCF_2" />
    <link:label xlink:type="resource" xlink:label="label_RentOfLandAndBuidengsNOI" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RentOfLandAndBuidengsNOI">Rent of land and buidengs</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RentOfLandAndBuidengsNOI" xlink:to="label_RentOfLandAndBuidengsNOI" />
    <link:label xlink:type="resource" xlink:label="label_RentOfLandAndBuidengsNOI_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RentOfLandAndBuidengsNOI_2">Rent of land and buidengs-NOI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RentOfLandAndBuidengsNOI" xlink:to="label_RentOfLandAndBuidengsNOI_2" />
    <link:label xlink:type="resource" xlink:label="label_MachineryRentExpensesNOI" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MachineryRentExpensesNOI">Machinery rent expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MachineryRentExpensesNOI" xlink:to="label_MachineryRentExpensesNOI" />
    <link:label xlink:type="resource" xlink:label="label_MachineryRentExpensesNOI_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MachineryRentExpensesNOI_2">Machinery rent expenses-NOI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MachineryRentExpensesNOI" xlink:to="label_MachineryRentExpensesNOI_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesSharesWithNoVotingRightsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassBPreferredSharesSharesWithNoVotingRightsMember">Class B preferred shares, Shares with no voting rights [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesSharesWithNoVotingRightsMember" xlink:to="label_ClassBPreferredSharesSharesWithNoVotingRightsMember" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesSharesWithNoVotingRightsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassBPreferredSharesSharesWithNoVotingRightsMember_2">Class B preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesSharesWithNoVotingRightsMember" xlink:to="label_ClassBPreferredSharesSharesWithNoVotingRightsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TotalNumberOfIssuedSharesSummaryOfBusinessResultsAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TotalNumberOfIssuedSharesSummaryOfBusinessResultsAbstract">Total number of issued shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalNumberOfIssuedSharesSummaryOfBusinessResultsAbstract" xlink:to="label_TotalNumberOfIssuedSharesSummaryOfBusinessResultsAbstract" />
    <link:label xlink:type="resource" xlink:label="label_TotalNumberOfIssuedSharesSummaryOfBusinessResultsAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TotalNumberOfIssuedSharesSummaryOfBusinessResultsAbstract_2">Total number of issued shares, Summary of business results [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalNumberOfIssuedSharesSummaryOfBusinessResultsAbstract" xlink:to="label_TotalNumberOfIssuedSharesSummaryOfBusinessResultsAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_PreferredStockClassBTotalNumberOfIssuedSharesSummaryOfBusinessResults" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PreferredStockClassBTotalNumberOfIssuedSharesSummaryOfBusinessResults">Preferred stock Class B</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PreferredStockClassBTotalNumberOfIssuedSharesSummaryOfBusinessResults" xlink:to="label_PreferredStockClassBTotalNumberOfIssuedSharesSummaryOfBusinessResults" />
    <link:label xlink:type="resource" xlink:label="label_PreferredStockClassBTotalNumberOfIssuedSharesSummaryOfBusinessResults_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PreferredStockClassBTotalNumberOfIssuedSharesSummaryOfBusinessResults_2">Preferred stock Class B, Total number of issued shares, Summary of business results</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PreferredStockClassBTotalNumberOfIssuedSharesSummaryOfBusinessResults" xlink:to="label_PreferredStockClassBTotalNumberOfIssuedSharesSummaryOfBusinessResults_2" />
    <link:label xlink:type="resource" xlink:label="label_DividendPaidPerShareSummaryOfBusinessResultsAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DividendPaidPerShareSummaryOfBusinessResultsAbstract">Dividend paid per share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DividendPaidPerShareSummaryOfBusinessResultsAbstract" xlink:to="label_DividendPaidPerShareSummaryOfBusinessResultsAbstract" />
    <link:label xlink:type="resource" xlink:label="label_DividendPaidPerShareSummaryOfBusinessResultsAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DividendPaidPerShareSummaryOfBusinessResultsAbstract_2">Dividend paid per share, Summary of business results [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DividendPaidPerShareSummaryOfBusinessResultsAbstract" xlink:to="label_DividendPaidPerShareSummaryOfBusinessResultsAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_PreferredStockClassBDividendPaidPerShareSummaryOfBusinessResults" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PreferredStockClassBDividendPaidPerShareSummaryOfBusinessResults">Preferred stock Class B</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PreferredStockClassBDividendPaidPerShareSummaryOfBusinessResults" xlink:to="label_PreferredStockClassBDividendPaidPerShareSummaryOfBusinessResults" />
    <link:label xlink:type="resource" xlink:label="label_PreferredStockClassBDividendPaidPerShareSummaryOfBusinessResults_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PreferredStockClassBDividendPaidPerShareSummaryOfBusinessResults_2">Preferred stock Class B, Dividend paid per share, Summary of business results</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PreferredStockClassBDividendPaidPerShareSummaryOfBusinessResults" xlink:to="label_PreferredStockClassBDividendPaidPerShareSummaryOfBusinessResults_2" />
    <link:label xlink:type="resource" xlink:label="label_PreferredStockClassBInterimDividendPaidPerShareSummaryOfBusinessResults" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PreferredStockClassBInterimDividendPaidPerShareSummaryOfBusinessResults">Preferred stock Class B</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PreferredStockClassBInterimDividendPaidPerShareSummaryOfBusinessResults" xlink:to="label_PreferredStockClassBInterimDividendPaidPerShareSummaryOfBusinessResults" />
    <link:label xlink:type="resource" xlink:label="label_PreferredStockClassBInterimDividendPaidPerShareSummaryOfBusinessResults_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PreferredStockClassBInterimDividendPaidPerShareSummaryOfBusinessResults_2">Preferred stock Class B, Interim dividend paid per share, Summary of business results</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PreferredStockClassBInterimDividendPaidPerShareSummaryOfBusinessResults" xlink:to="label_PreferredStockClassBInterimDividendPaidPerShareSummaryOfBusinessResults_2" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentSecondLargestHoldingCompany" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentSecondLargestHoldingCompany">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentSecondLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentSecondLargestHoldingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentSecondLargestHoldingCompany_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentSecondLargestHoldingCompany_2">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares, Details of specified investment shares held for purposes other than pure investment, Second largest holding company</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentSecondLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentSecondLargestHoldingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares, Details of specified investment shares held for purposes other than pure investment, Largest holding company</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_FixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficersAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficersAbstract">Fixed remuneration</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficersAbstract" xlink:to="label_FixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficersAbstract" />
    <link:label xlink:type="resource" xlink:label="label_FixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficersAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficersAbstract_2">Fixed remuneration, Remuneration by category of directors (and other officers) [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficersAbstract" xlink:to="label_FixedRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficersAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_RemunerationForStockAcquisitionRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RemunerationForStockAcquisitionRemunerationEtcByCategoryOfDirectorsAndOtherOfficers">Remuneration For Stock Acquisition</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RemunerationForStockAcquisitionRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_RemunerationForStockAcquisitionRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_RemunerationForStockAcquisitionRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RemunerationForStockAcquisitionRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2">Remuneration For Stock Acquisition, Remuneration, etc. by category of directors (and other officers)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RemunerationForStockAcquisitionRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_RemunerationForStockAcquisitionRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_VariableRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_VariableRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers">Variable remuneration</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="VariableRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_VariableRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_VariableRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_VariableRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers_2">Variable remuneration, Remuneration by category of directors (and other officers)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="VariableRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_VariableRemunerationRemunerationByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesTotalAmountOfDividendsDividendsOfSurplus" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassBPreferredSharesTotalAmountOfDividendsDividendsOfSurplus">Class B preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesTotalAmountOfDividendsDividendsOfSurplus" xlink:to="label_ClassBPreferredSharesTotalAmountOfDividendsDividendsOfSurplus" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesTotalAmountOfDividendsDividendsOfSurplus_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassBPreferredSharesTotalAmountOfDividendsDividendsOfSurplus_2">Class B preferred shares, total amount of dividends, Dividends of surplus</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesTotalAmountOfDividendsDividendsOfSurplus" xlink:to="label_ClassBPreferredSharesTotalAmountOfDividendsDividendsOfSurplus_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesDividendPerShareDividendsOfSurplus" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassBPreferredSharesDividendPerShareDividendsOfSurplus">Class B preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesDividendPerShareDividendsOfSurplus" xlink:to="label_ClassBPreferredSharesDividendPerShareDividendsOfSurplus" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesDividendPerShareDividendsOfSurplus_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassBPreferredSharesDividendPerShareDividendsOfSurplus_2">Class B preferred shares, dividend per share, Dividends of surplus</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesDividendPerShareDividendsOfSurplus" xlink:to="label_ClassBPreferredSharesDividendPerShareDividendsOfSurplus_2" />
    <link:label xlink:type="resource" xlink:label="label_TaoYuichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TaoYuichiMember">Tao, Yuichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TaoYuichiMember" xlink:to="label_TaoYuichiMember" />
    <link:label xlink:type="resource" xlink:label="label_TaoYuichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TaoYuichiMember_2">Tao, Yuichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TaoYuichiMember" xlink:to="label_TaoYuichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NiinoMasahiroMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NiinoMasahiroMember_2">Niino, Masahiro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NiinoMasahiroMember" xlink:to="label_NiinoMasahiroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NiinoMasahiroMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NiinoMasahiroMember">Niino, Masahiro [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NiinoMasahiroMember" xlink:to="label_NiinoMasahiroMember" />
    <link:label xlink:type="resource" xlink:label="label_ItoArataMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ItoArataMember">Ito, Arata</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ItoArataMember" xlink:to="label_ItoArataMember" />
    <link:label xlink:type="resource" xlink:label="label_ItoArataMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ItoArataMember_2">Ito, Arata [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ItoArataMember" xlink:to="label_ItoArataMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MatsutaMasahikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MatsutaMasahikoMember_2">Matsuta, Masahiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MatsutaMasahikoMember" xlink:to="label_MatsutaMasahikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MatsutaMasahikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MatsutaMasahikoMember">Matsuta, Masahiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MatsutaMasahikoMember" xlink:to="label_MatsutaMasahikoMember" />
    <link:label xlink:type="resource" xlink:label="label_TogashiHideoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TogashiHideoMember">Togashi, Hideo [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TogashiHideoMember" xlink:to="label_TogashiHideoMember" />
    <link:label xlink:type="resource" xlink:label="label_TogashiHideoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TogashiHideoMember_2">Togashi, Hideo</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TogashiHideoMember" xlink:to="label_TogashiHideoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NishiboriSatoruMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NishiboriSatoruMember">Nishibori, Satoru [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NishiboriSatoruMember" xlink:to="label_NishiboriSatoruMember" />
    <link:label xlink:type="resource" xlink:label="label_NishiboriSatoruMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NishiboriSatoruMember_2">Nishibori, Satoru</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NishiboriSatoruMember" xlink:to="label_NishiboriSatoruMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OgawaShoichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OgawaShoichiMember">Ogawa, Shoichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OgawaShoichiMember" xlink:to="label_OgawaShoichiMember" />
    <link:label xlink:type="resource" xlink:label="label_OgawaShoichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OgawaShoichiMember_2">Ogawa, Shoichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OgawaShoichiMember" xlink:to="label_OgawaShoichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_FukudaKyoichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FukudaKyoichiMember">Fukuda, Kyoichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FukudaKyoichiMember" xlink:to="label_FukudaKyoichiMember" />
    <link:label xlink:type="resource" xlink:label="label_FukudaKyoichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FukudaKyoichiMember_2">Fukuda, Kyoichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FukudaKyoichiMember" xlink:to="label_FukudaKyoichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HoriYutakaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HoriYutakaMember">Hori, Yutaka [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HoriYutakaMember" xlink:to="label_HoriYutakaMember" />
    <link:label xlink:type="resource" xlink:label="label_HoriYutakaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HoriYutakaMember_2">Hori, Yutaka</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HoriYutakaMember" xlink:to="label_HoriYutakaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KonnoHiroshiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KonnoHiroshiMember">Konno, Hiroshi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KonnoHiroshiMember" xlink:to="label_KonnoHiroshiMember" />
    <link:label xlink:type="resource" xlink:label="label_KonnoHiroshiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KonnoHiroshiMember_2">Konno, Hiroshi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KonnoHiroshiMember" xlink:to="label_KonnoHiroshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NunoiTomokoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NunoiTomokoMember">Nunoi, Tomoko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NunoiTomokoMember" xlink:to="label_NunoiTomokoMember" />
    <link:label xlink:type="resource" xlink:label="label_NunoiTomokoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NunoiTomokoMember_2">Nunoi, Tomoko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NunoiTomokoMember" xlink:to="label_NunoiTomokoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HiroseWataruMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HiroseWataruMember">Hirose, Wataru</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiroseWataruMember" xlink:to="label_HiroseWataruMember" />
    <link:label xlink:type="resource" xlink:label="label_HiroseWataruMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HiroseWataruMember_2">Hirose, Wataru [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiroseWataruMember" xlink:to="label_HiroseWataruMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KaiFumioMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KaiFumioMember">Kai, Fumio</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KaiFumioMember" xlink:to="label_KaiFumioMember" />
    <link:label xlink:type="resource" xlink:label="label_KaiFumioMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KaiFumioMember_2">Kai, Fumio [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KaiFumioMember" xlink:to="label_KaiFumioMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AokiJunMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AokiJunMember_2">Aoki, Jun</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AokiJunMember" xlink:to="label_AokiJunMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AokiJunMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AokiJunMember">Aoki, Jun [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AokiJunMember" xlink:to="label_AokiJunMember" />
    <link:label xlink:type="resource" xlink:label="label_MiyashitaNorioMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MiyashitaNorioMember">Miyashita, Norio [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyashitaNorioMember" xlink:to="label_MiyashitaNorioMember" />
    <link:label xlink:type="resource" xlink:label="label_MiyashitaNorioMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MiyashitaNorioMember_2">Miyashita, Norio</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyashitaNorioMember" xlink:to="label_MiyashitaNorioMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OnoyamaTadahikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OnoyamaTadahikoMember">Onoyama, Tadahiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OnoyamaTadahikoMember" xlink:to="label_OnoyamaTadahikoMember" />
    <link:label xlink:type="resource" xlink:label="label_OnoyamaTadahikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OnoyamaTadahikoMember_2">Onoyama, Tadahiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OnoyamaTadahikoMember" xlink:to="label_OnoyamaTadahikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ItoDaisukeMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ItoDaisukeMember">Ito, Daisuke</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ItoDaisukeMember" xlink:to="label_ItoDaisukeMember" />
    <link:label xlink:type="resource" xlink:label="label_ItoDaisukeMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ItoDaisukeMember_2">Ito, Daisuke [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ItoDaisukeMember" xlink:to="label_ItoDaisukeMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AsamiHidenoriMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AsamiHidenoriMember_2">Asami, Hidenori</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AsamiHidenoriMember" xlink:to="label_AsamiHidenoriMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AsamiHidenoriMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AsamiHidenoriMember">Asami, Hidenori [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AsamiHidenoriMember" xlink:to="label_AsamiHidenoriMember" />
    <link:label xlink:type="resource" xlink:label="label_KudoHitoshiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KudoHitoshiMember">Kudo, Hitoshi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KudoHitoshiMember" xlink:to="label_KudoHitoshiMember" />
    <link:label xlink:type="resource" xlink:label="label_KudoHitoshiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KudoHitoshiMember_2">Kudo, Hitoshi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KudoHitoshiMember" xlink:to="label_KudoHitoshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KidoYuMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KidoYuMember">Kido, Yu</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KidoYuMember" xlink:to="label_KidoYuMember" />
    <link:label xlink:type="resource" xlink:label="label_KidoYuMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KidoYuMember_2">Kido, Yu [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KidoYuMember" xlink:to="label_KidoYuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HorikoshiTomonoriMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HorikoshiTomonoriMember_2">Horikoshi, Tomonori</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HorikoshiTomonoriMember" xlink:to="label_HorikoshiTomonoriMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HorikoshiTomonoriMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HorikoshiTomonoriMember">Horikoshi, Tomonori [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HorikoshiTomonoriMember" xlink:to="label_HorikoshiTomonoriMember" />
  </link:labelLink>
</link:linkbase>